Cập nhật thông tin nhóm
curl --request PUT \
--url https://api.fireant.vn/rooms/{roomId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"topics": [
123
],
"symbols": [
"<string>"
],
"privacy": 123,
"visibility": 123
}
'import requests
url = "https://api.fireant.vn/rooms/{roomId}"
payload = {
"name": "<string>",
"description": "<string>",
"topics": [123],
"symbols": ["<string>"],
"privacy": 123,
"visibility": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
topics: [123],
symbols: ['<string>'],
privacy: 123,
visibility: 123
})
};
fetch('https://api.fireant.vn/rooms/{roomId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/rooms/{roomId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'topics' => [
123
],
'symbols' => [
'<string>'
],
'privacy' => 123,
'visibility' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/rooms/{roomId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"topics\": [\n 123\n ],\n \"symbols\": [\n \"<string>\"\n ],\n \"privacy\": 123,\n \"visibility\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fireant.vn/rooms/{roomId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"topics\": [\n 123\n ],\n \"symbols\": [\n \"<string>\"\n ],\n \"privacy\": 123,\n \"visibility\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/rooms/{roomId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"topics\": [\n 123\n ],\n \"symbols\": [\n \"<string>\"\n ],\n \"privacy\": 123,\n \"visibility\": 123\n}"
response = http.request(request)
puts response.read_body{
"info": {
"roomID": 123,
"status": 123,
"privacy": 123,
"visibility": 123,
"name": "<string>",
"description": "<string>",
"approved": true,
"createdDate": "2023-11-07T05:31:56Z",
"promotionLevel": 123,
"invitationID": 123,
"requestID": 123,
"role": 123,
"blocked": true,
"verified": true,
"lastActivityDate": "2023-11-07T05:31:56Z",
"topics": [
{
"topicID": 123,
"name": "<string>",
"description": "<string>"
}
],
"symbols": [
{
"symbol": "<string>",
"weight": 123
}
]
},
"totalMembers": 123,
"totalPosts": 123,
"totalRequests": 123,
"totalBlockedUsers": 123,
"totalPendingPosts": 123
}Rooms
Cập nhật thông tin nhóm
PUT
/
rooms
/
{roomId}
Cập nhật thông tin nhóm
curl --request PUT \
--url https://api.fireant.vn/rooms/{roomId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"topics": [
123
],
"symbols": [
"<string>"
],
"privacy": 123,
"visibility": 123
}
'import requests
url = "https://api.fireant.vn/rooms/{roomId}"
payload = {
"name": "<string>",
"description": "<string>",
"topics": [123],
"symbols": ["<string>"],
"privacy": 123,
"visibility": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
topics: [123],
symbols: ['<string>'],
privacy: 123,
visibility: 123
})
};
fetch('https://api.fireant.vn/rooms/{roomId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/rooms/{roomId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'topics' => [
123
],
'symbols' => [
'<string>'
],
'privacy' => 123,
'visibility' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/rooms/{roomId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"topics\": [\n 123\n ],\n \"symbols\": [\n \"<string>\"\n ],\n \"privacy\": 123,\n \"visibility\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.fireant.vn/rooms/{roomId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"topics\": [\n 123\n ],\n \"symbols\": [\n \"<string>\"\n ],\n \"privacy\": 123,\n \"visibility\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/rooms/{roomId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"topics\": [\n 123\n ],\n \"symbols\": [\n \"<string>\"\n ],\n \"privacy\": 123,\n \"visibility\": 123\n}"
response = http.request(request)
puts response.read_body{
"info": {
"roomID": 123,
"status": 123,
"privacy": 123,
"visibility": 123,
"name": "<string>",
"description": "<string>",
"approved": true,
"createdDate": "2023-11-07T05:31:56Z",
"promotionLevel": 123,
"invitationID": 123,
"requestID": 123,
"role": 123,
"blocked": true,
"verified": true,
"lastActivityDate": "2023-11-07T05:31:56Z",
"topics": [
{
"topicID": 123,
"name": "<string>",
"description": "<string>"
}
],
"symbols": [
{
"symbol": "<string>",
"weight": 123
}
]
},
"totalMembers": 123,
"totalPosts": 123,
"totalRequests": 123,
"totalBlockedUsers": 123,
"totalPendingPosts": 123
}Ủy quyền
OAuth2 Implicit Grant
Tham số đường dẫn
Id nhóm
Nội dung
application/jsontext/json
Thông tin room
Yêu cầu sửa thông tin room
Tiêu đề
Mô tả
Các chủ đề liên quan đến nhóm
Các mã chứng khoán liên quan đến nhóm
Loại nhóm - 0: Nhóm công khai, 1: Nhóm riêng tư
Tính công khai nhóm - 0: Công khai, cho phép người dùng bình thường có thể tìm thấy nhóm trên cộng đồng, 1: Không công khai, chỉ thành viên của nhóm mới tìm thấy nhóm trên cộng đồng